<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="350dp"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:gravity="center"
    android:orientation="vertical"
    android:padding="20dp">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="10dp"
        android:text="Place the QR code inside the area"
        android:textColor="@color/material_bluegrey800"
        android:textSize="18sp"
        android:textStyle="bold" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:text="Scanning will start automatically"
        android:textColor="@color/material_bluegrey800"
        android:textSize="16sp" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="10dp"
        android:gravity="center">


        <RelativeLayout
            android:id="@+id/rlOutScan"
            android:layout_width="250dp"
            android:layout_height="250dp"
            android:layout_centerHorizontal="true">


            <com.cygnusa.hyperm.qr_code.CameraPreview
                android:id="@+id/capture_preview"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_centerHorizontal="true" />

            <RelativeLayout
                android:id="@+id/capture_crop_view"
                android:layout_width="250dp"
                android:layout_height="250dp"
                android:layout_alignParentStart="false"
                android:layout_centerInParent="true"
                android:layout_centerHorizontal="true">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:src="@drawable/qr_scan_frame" />

                <ImageView
                    android:id="@+id/capture_scan_line"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:src="@drawable/qr_scan_line" />
            </RelativeLayout>


        </RelativeLayout>


    </RelativeLayout>

    <Button
        android:id="@+id/btncancel"
        android:layout_width="140dp"
        android:layout_height="35dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/border_navi"
        android:text="@string/cancel"
        android:textAllCaps="false"
        android:textColor="@color/white" />

</LinearLayout>